# $Revision: 1.17.2.2 $, $Date: 2003/09/10 11:02:31 $
%define		mod_name	log_mysql
%define		apxs		/usr/sbin/apxs
Summary:	MySQL logging module for Apache
Summary(pl):	Modu logowania odwoa do Apacha do bazy SQL
Name:		apache-mod_%{mod_name}
Version:	1.13
Release:	3
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.grubbybaby.com/mod_log_mysql/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	fc9f0c718601d70f5892553506e6d21c
Source1:	log_mysql.conf
Patch0:		log_mysql-module_name.patch
Prereq:		%{_sbindir}/apxs
BuildRequires:	%{apxs}
BuildRequires:	apache(EAPI)-devel
BuildRequires:	mysql-devel >= 3.23
Requires:	apache(EAPI)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/httpd
%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR)

%description
MySQL logging module for Apache.

%description -l pl
Modu logowania odwoa do Apacha do bazy MySQL.

%prep
%setup -q -n mod_%{mod_name}
%patch0 -p1

%build
%{apxs} -D MYSQLSOCKET='\"/var/lib/mysql/mysql.sock\"' -c mod_%{mod_name}.c -o mod_%{mod_name}.so -lmysqlclient -lm

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_pkglibdir}}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/mod_%{mod_name}.conf

%post
%{_sbindir}/apxs -e -a -n %{mod_name} %{_libexecdir}/mod_%{mod_name}.so 1>&2
if [ -f %{_sysconfdir}/httpd.conf ] && ! grep -q "^Include.*mod_%{mod_name}.conf" %{_sysconfdir}/httpd.conf; then
	echo "Include %{_sysconfdir}/mod_%{mod_name}.conf" >> %{_sysconfdir}/httpd.conf
fi
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%postun
if [ "$1" = "0" ]; then
	%{_sbindir}/apxs -e -A -n %{mod_name} %{_libexecdir}/mod_%{mod_name}.so 1>&2
	grep -v "^Include.*mod_%{mod_name}.conf" %{_sysconfdir}/httpd.conf > \
		%{_sysconfdir}/httpd.conf.tmp
	mv -f %{_sysconfdir}/httpd.conf.tmp %{_sysconfdir}/httpd.conf

	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_pkglibdir}/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mod_%{mod_name}.conf

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_log_mysql.spec,v $
Revision 1.17.2.2  2003/09/10 11:02:31  ankry
- added md5, rel. 3 to rebuild with new mysql

Revision 1.17.2.1  2003/07/11 12:00:24  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.17  2002/05/26 15:28:54  kloczek
- use new %doc.

Revision 1.16  2002/04/25 15:46:09  arturs
fixed a small typo

Revision 1.15  2002/03/26 23:47:23  misiek
- fixed huge bug (zeroing httpd.conf after deinstalation)

Revision 1.14  2002/02/23 01:23:23  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/17 21:07:39  ankry
- release 2

Revision 1.11  2002/02/17 18:52:20  ankry
- added %%{apxs} local macro to avoid adapter problems
- fix use of %%{apxs} and %%{_sbindir}/apxs
- added BR %%{apxs} and Prereq %%{_sbindir}/apxs (if necessary); removed BR apache
- adapterized

Revision 1.10  2002/01/18 02:12:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2002/01/16 21:44:29  mkierus
- updated to 1.13 (many bugfixes)

Revision 1.8  2001/02/16 07:32:10  kloczek
- release 6: rebuild against mysql 3.23.

Revision 1.7  2000/10/18 19:08:10  kloczek
- release 5,
- use new rpm automnation,
- fixed path to registered config file for module in httpd.conf (thanks
  Agnieszka).

Revision 1.6  2000/08/09 18:19:53  kloczek
- release 4.

Revision 1.5  2000/06/16 08:02:25  yaro
- small fix

Revision 1.4  2000/05/17 21:01:20  kloczek
- spec adapterized.

* Wed Dec  22 1999 Jaroslaw Dziubek <yaro@perfect.net.pl>
- First release of mod_log_mysql.spec
